import React from 'react';
import SvgIcon from '../../../components/SvgIcon';

/**
 * 知识库搜索栏组件
 */
const SearchBar = ({ searchKeyword, isSearching, onSearchChange, onSearch, onClearSearch }) => {
    return (
        <form className='d-flex w-50' onSubmit={onSearch}>
            <input
                type='text'
                className='form-control'
                placeholder='搜索知识库...'
                value={searchKeyword}
                onChange={onSearchChange}
            />
            {/* <button type='submit' className='btn btn-outline-dark ms-2'>
                <SvgIcon className={'search'} />
            </button> */}
            {isSearching && (
                <button type='button' className='btn btn-outline-dark ms-2' onClick={onClearSearch}>
                    清除
                </button>
            )}
        </form>
    );
};

export default SearchBar;
